Package org.apache.tiles.freemarker.template

# Class InsertAttributeFMModel

java.lang.Object
org.apache.tiles.freemarker.template.InsertAttributeFMModel

All Implemented Interfaces:
  `freemarker.template.TemplateDirectiveModel`, `freemarker.template.TemplateModel`

public class InsertAttributeFMModel extends Object implements freemarker.template.TemplateDirectiveModel

Inserts the value of an attribute into the page.

This tag can be flexibly used to insert the value of an attribute into a page. As in other usages in Tiles, every attribute can be determined to have a "type", either set explicitly when it was defined, or "computed". If the type is not explicit, then if the attribute value is a valid definition, it will be inserted as such. Otherwise, if it begins with a "/" character, it will be treated as a "template". Finally, if it has not otherwise been assigned a type, it will be treated as a String and included without any special handling.

Example :

         <tiles:insertAttribute name="body" />

- ## Field Summary

  ### Fields inherited from interface freemarker.template.TemplateModel

  `NOTHING`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `InsertAttributeFMModel(InsertAttributeModel model)`
  Constructor.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `execute(freemarker.core.Environment env, Map params, freemarker.template.TemplateModel[] loopVars, freemarker.template.TemplateDirectiveBody body)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### InsertAttributeFMModel

    public InsertAttributeFMModel(InsertAttributeModel model)
    Constructor.
    Parameters:
      `model` - The template model.

- ## Method Details

  - ### execute

    public void execute(freemarker.core.Environment env, Map params, freemarker.template.TemplateModel[] loopVars, freemarker.template.TemplateDirectiveBody body) throws freemarker.template.TemplateException, IOException
    Specified by:
      `execute` in interface `freemarker.template.TemplateDirectiveModel`
    Throws:
      `freemarker.template.TemplateException`
      `IOException`